/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.ShrimpApplication;

import ca.uvic.csr.shrimp.ShrimpProject.ShrimpProjectEvent;


/**
 * @author Nasir Rather
 */
public abstract class ShrimpApplicationAdapter implements ShrimpApplicationListener {
	/**
	 * @see ca.uvic.csr.shrimp.ShrimpApplication.ShrimpApplicationListener#applicationActivated(ShrimpApplicationEvent)
	 */
	public void applicationActivated(ShrimpApplicationEvent event) {
	}

	/**
	 * @see ca.uvic.csr.shrimp.ShrimpApplication.ShrimpApplicationListener#applicationClosing(ShrimpApplicationEvent)
	 */
	public void applicationClosing(ShrimpApplicationEvent event) {
	}

	/**
	 * @see ca.uvic.csr.shrimp.ShrimpApplication.ShrimpApplicationListener#applicationDeactivated(ShrimpApplicationEvent)
	 */
	public void applicationDeactivated(ShrimpApplicationEvent event) {
	}

	/**
	 * @see ca.uvic.csr.shrimp.ShrimpApplication.ShrimpApplicationListener#applicationStarted(ShrimpApplicationEvent)
	 */
	public void applicationStarted(ShrimpApplicationEvent event) {
	}

	/**
	 * @see ca.uvic.csr.shrimp.ShrimpApplication.ShrimpApplicationListener#userControlsChanged(ShrimpApplicationEvent)
	 */
	public void userControlsChanged(ShrimpApplicationEvent event) {
	}
	
	/** 
	 * @see ca.uvic.csr.shrimp.ShrimpApplication.ShrimpApplicationListener#projectCreated(ca.uvic.csr.shrimp.ShrimpApplication.ShrimpProjectEvent)
	 */
	public void projectCreated(ShrimpProjectEvent event) {
	}
	
	/**
	 * @see ca.uvic.csr.shrimp.ShrimpApplication.ShrimpApplicationListener#projectActivated(ShrimpProjectEvent)
	 */
	public void projectActivated(ShrimpProjectEvent event) {
	}

	/**
	 * @see ca.uvic.csr.shrimp.ShrimpApplication.ShrimpApplicationListener#projectClosed(ShrimpProjectEvent)
	 */
	public void projectClosed(ShrimpProjectEvent event) {
	}

}

